# Note that this is NOT a relocatable package
%define ver      0.2
%define rel      1
%define prefix   /usr

Summary: A utility to provide feedback when starting X11 applications.
Name: xalf
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: xalf-%{ver}.tar.gz
BuildRoot: /var/tmp/xalf-%{PACKAGE_VERSION}-root
URL: http://www.lysator.liu.se/~altic/projects/xalf

%description
This is a small utility to provide feedback when starting X11
applications.  Feedback can be given via three different indicators:
An invisible window (to be used in conjunction with a task pager like
Gnomes tasklist_applet or KDE Taskbar), an generic splashscreen or an
hourglass attached to the mouse cursor.

%changelog

* Sat Apr 15 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.2

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS FAQ COPYING ChangeLog NEWS README extras
%{prefix}/lib/libxalflaunch.*
%{prefix}/bin/xalf
%{prefix}/bin/xalfoff


